C ********************************************************************
C * BANDPLOT - Plotting and interpolation of energy bands            *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************
C ********************************************************************
C *                                                                  *
C *  BPCOPY                                                          *
C *                                                                  *
C *  Subroutine of BANDPLOT                                          *
C *                                                                  *
C *  Usage......: Copies UNIT 4 to UNIT 3. Needed by MS-Windows, AIX *
C *               and Windows NT versions.                           *
C *                                                                  *
C *  Author.....: Martin Braendle (mbs)                              *
C *  Available..: Calzaferri group c/o                               *
C *               Prof. Dr. Gion Calzaferri                          *
C *               Institute for anorg. + phys. Chemistry             *
C *               University of Berne                                *
C *               Freiestrasse 3                                     *
C *               CH-3012 Berne                                      *
C *                                                                  *
C *  Date.......: 20.02.94                                           *
C *  Revision...: -                                                  *
C *                                                                  *
C *  Called from: BANDPLOT                                           *
C *                                                                  *
C *  Calls......: -                                                  *
C *                                                                  *
C ********************************************************************

      SUBROUTINE BPCOPY(FSYMEX)

      LOGICAL FSYMEX
      CHARACTER*80 STRING

      IF (FSYMEX) THEN
        CLOSE(UNIT=3,STATUS='DELETE')
      ENDIF

      OPEN(UNIT=3,FORM='FORMATTED',STATUS='NEW',FILE='fort.3')

      CLOSE(4)
      OPEN(UNIT=4,FORM='FORMATTED',STATUS='OLD',FILE='fort.4')
      REWIND 4

   10 READ(4,'(A80)',END=20) STRING
      WRITE(3,'(A80)') STRING
      GOTO 10
   20 RETURN
      END