C ********************************************************************
C * BANDPLOT - Plotting and interpolation of energy bands            *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************
C ********************************************************************
C *                                                                  *
C *  INV                                                             *
C *                                                                  *
C *  Routine of BFIT                                                 *
C *                                                                  *
C *  Usage......:                                                    *
C *                                                                  *
C *  Authors....: Sunil Wijeyesekera, Chong Zheng                    *
C *  Available..: Calzaferri group c/o                               *
C *               Prof. Dr. Gion Calzaferri                          *
C *               Institute for anorg. + phys. Chemistry             *
C *               University of Berne                                *
C *               Freiestrasse 3                                     *
C *               CH-3012 Berne                                      *
C *                                                                  *
C *  Date.......: -                                                  *
C *  Revision...: 17.02.92/mbs, 01.07.97/mbs (Martin Braendle)       *
C *  Remarks....: -                                                  *
C *                                                                  *
C *  Called from: DOS                                                *
C *                                                                  *
C *  Calls......: DINV                                               *
C *                                                                  *
C ********************************************************************

      SUBROUTINE INV(T,TI,W,N)

      INTEGER I,J,N
C
C NAG/GKS version.
C
C      DOUBLE PRECISION T(N,N),TI(N,N),W(N)
C
C PGPLOT version.
C
      REAL T(N,N),TI(N,N),W(N)

      CALL DINV(T,TI,W,N)
      DO I=1,N
        DO J=1,N
          T(J,I)=TI(J,I)
        END DO
      END DO
      RETURN
      END